Bug 1154 - sys/mman.h #include'd without need
sys/mman.h #include'd without need
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.2a
Other other
: P3 normal
: none
Assigned To: Tim Potter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 07:46 UTC by Joachim Schmitz
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Schmitz 2004-03-05 07:46:00 UTC
In .../tdb/tdbdump.c, line 29, sys/mamn.h is #include'd, but this completely 
unecesary as non of the memory mapping APIs are used.
Comment 1 Joachim Schmitz 2004-03-05 07:51:10 UTC
Patch:
diff -u ./source/tdb/tdbdump.c.orig ./source/tdb/tdbdump.c
--- ./source/tdb/tdbdump.c.orig 2003-06-07 19:57:40.000000000 +0200
+++ ./source/tdb/tdbdump.c      2004-02-29 16:29:38.000000000 +0100
@@ -26,7 +26,6 @@
 #include <string.h>
 #include <fcntl.h>
 #include <time.h>
-#include <sys/mman.h>
 #include <sys/stat.h>
 #include <sys/time.h>
 #include <ctype.h>
Comment 2 Tim Potter 2004-03-06 16:02:50 UTC
Fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:23:14 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.